Skip to main content
`Ctrl`+`K`

# Planar2D

class astropy.modeling.functional_models.Planar2D(slope_x=1, slope_y=1, intercept=0, **kwargs)

  Bases: `Fittable2DModel`

  Two dimensional Plane model.

  Parameters:
    slope_x `python:float`

      Slope of the plane in X

    slope_y `python:float`

      Slope of the plane in Y

    intercept `python:float`

      Z-intercept of the plane

  Notes

  Model formula:

  > \[f(x, y) = a x + b y + c\]

  Attributes Summary

  `intercept` |
  `linear` |
  `param_names` | Names of the parameters that describe models of this type.
  `slope_x` |
  `slope_y` |

  Methods Summary

  `evaluate`(x, y, slope_x, slope_y, intercept) | Two dimensional Plane model function.
  `fit_deriv`(x, y, *params) | Two dimensional Plane model derivative with respect to parameters.

  Attributes Documentation

  intercept = Parameter('intercept', value=0.0)
  linear = True
  param_names = ('slope_x', 'slope_y', 'intercept')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  slope_x = Parameter('slope_x', value=1.0)
  slope_y = Parameter('slope_y', value=1.0)

  Methods Documentation

  static evaluate(x, y, slope_x, slope_y, intercept)

    Two dimensional Plane model function.

  static fit_deriv(x, y, *params)

    Two dimensional Plane model derivative with respect to parameters.